Description

1. We currently iterate over a vector of monitors to associate a logical ID (SSDN Channel field) with its corresponding hardware
ADC and Channel. Replacing the vector with a map container provides simplified, more readable code by removing iteration
over the vector. The map key is either the Acnet device SSDN Channel field or a unique index if there is not an associated
Acnet device.

2. As part of this modification, the usage of the parameter name ssdnCh will also be modified throughout the code to become intld,
an abbreviation of intensityld, where intld is a more generic, less specific, logical identifier of the ADC/Channel pair. The value
intld must be unique and will correspond to an associated Acnet device SSDN Channel field if one is required.

Example

intld ties the following calls to each other:

addMirrToroid( uintl6_t adcId, uintl6_t adcCh, uintl6_t intId );
addATRLatchDev ( uintl6_t latchId, uintlé6_t intId, ... );

intensityread( uintlé6_t intId );
std: :map<uintl6_t, IntMonitorDev*> _monitorTable; // key intId

History

#1 - 02/18/2016 03:17 PM - Roger Tokarek

There are approximately 32 VMEInt functions that access class IntMonitorDev via the vector _monitors. Re-estimating the time for this project from 4
hours to 24 - includes possible addition of a map replacement of a vector in DAQPool to extend and complement the changes in VMEInt.

#2 - 02/18/2016 03:18 PM - Roger Tokarek
- Estimated time changed from 4.00 h to 24.00 h

#3 - 02/28/2016 11:28 AM - John Diamond
- Parent task changed from #11649 to #11650

#4 - 03/15/2016 12:18 PM - John Diamond
- Status changed from New to Assigned

- % Done changed from 0 to 100

#5 - 08/03/2016 10:38 AM - Roger Tokarek

- Status changed from Assigned to Resolved

#6 - 10/13/2016 02:29 PM - Elliott McCrory

- Status changed from Resolved to Closed
